<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationArguments Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_c_sharp.html">CSharp</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_arguments.html">CSharpCompilationArguments</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_arguments-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationArguments Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Contains arguments for the CSharpCodeGenerator's compile method  
 <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_arguments.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationArguments:</div>
<div class="dyncontent">
<div class="center"><img src="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_arguments__inherit__graph.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_c_sharp_8_c_sharp_compilation_arguments_inherit__map" alt="Inheritance graph"/></div>
<map name="ax_a_p_i___definitions___parser_8_code_8_c_sharp_8_c_sharp_compilation_arguments_inherit__map" id="ax_a_p_i___definitions___parser_8_code_8_c_sharp_8_c_sharp_compilation_arguments_inherit__map">
<area shape="rect" title="Contains arguments for the CSharpCodeGenerator&#39;s compile method" alt="" coords="5,80,220,136"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html" title="Contains arguments for the CodeGenerator&#39;s compile method" alt="" coords="36,5,189,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationArguments:</div>
<div class="dyncontent">
<div class="center"><img src="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_arguments__coll__graph.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_c_sharp_8_c_sharp_compilation_arguments_coll__map" alt="Collaboration graph"/></div>
<map name="ax_a_p_i___definitions___parser_8_code_8_c_sharp_8_c_sharp_compilation_arguments_coll__map" id="ax_a_p_i___definitions___parser_8_code_8_c_sharp_8_c_sharp_compilation_arguments_coll__map">
<area shape="rect" title="Contains arguments for the CSharpCodeGenerator&#39;s compile method" alt="" coords="5,80,220,136"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html" title="Contains arguments for the CodeGenerator&#39;s compile method" alt="" coords="36,5,189,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a233e6f1b32c808366d3ccd23664715b1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_arguments.html#a233e6f1b32c808366d3ccd23664715b1">CSharpCompilationArguments</a> (string dest, string dotnet=default, string refPath=default)</td></tr>
<tr class="separator:a233e6f1b32c808366d3ccd23664715b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html">xAPI_Definitions_Parser.Code.CompilationArguments</a></td></tr>
<tr class="memitem:a5316256fb2b796d58b590f4bed2ce6a1 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html#a5316256fb2b796d58b590f4bed2ce6a1">CompilationArguments</a> (<a class="el" href="namespacex_a_p_i___definitions___parser.html#ad50b8a1de7c637d2d740f48640c5e828">CodeLanguage</a> lang, string dest)</td></tr>
<tr class="separator:a5316256fb2b796d58b590f4bed2ce6a1 inherit pub_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a0cb013ec2d36725a0d2974dca2631f0b"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_arguments.html#a0cb013ec2d36725a0d2974dca2631f0b">Dotnet</a><code> [get]</code></td></tr>
<tr class="memdesc:a0cb013ec2d36725a0d2974dca2631f0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">.Net version to compile to  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_arguments.html#a0cb013ec2d36725a0d2974dca2631f0b">More...</a><br /></td></tr>
<tr class="separator:a0cb013ec2d36725a0d2974dca2631f0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a003d46ab6884cb70a7a54ceed980ceb8"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_arguments.html#a003d46ab6884cb70a7a54ceed980ceb8">RefPath</a><code> [get]</code></td></tr>
<tr class="memdesc:a003d46ab6884cb70a7a54ceed980ceb8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Directory that the DLLs to be used are in  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_arguments.html#a003d46ab6884cb70a7a54ceed980ceb8">More...</a><br /></td></tr>
<tr class="separator:a003d46ab6884cb70a7a54ceed980ceb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header properties_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments"><td colspan="2" onclick="javascript:toggleInherit('properties_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments')"><img src="closed.png" alt="-"/>&#160;Properties inherited from <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html">xAPI_Definitions_Parser.Code.CompilationArguments</a></td></tr>
<tr class="memitem:aa837d59443a92deb973950879e3391ad inherit properties_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacex_a_p_i___definitions___parser.html#ad50b8a1de7c637d2d740f48640c5e828">CodeLanguage</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html#aa837d59443a92deb973950879e3391ad">Language</a><code> [get]</code></td></tr>
<tr class="memdesc:aa837d59443a92deb973950879e3391ad inherit properties_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments"><td class="mdescLeft">&#160;</td><td class="mdescRight">CodeLanguage of the arguments  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html#aa837d59443a92deb973950879e3391ad">More...</a><br /></td></tr>
<tr class="separator:aa837d59443a92deb973950879e3391ad inherit properties_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24be47576077712b2b960615aa412153 inherit properties_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html#a24be47576077712b2b960615aa412153">Destination</a><code> [get]</code></td></tr>
<tr class="memdesc:a24be47576077712b2b960615aa412153 inherit properties_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compilation destination location  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html#a24be47576077712b2b960615aa412153">More...</a><br /></td></tr>
<tr class="separator:a24be47576077712b2b960615aa412153 inherit properties_classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Contains arguments for the CSharpCodeGenerator's compile method </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a233e6f1b32c808366d3ccd23664715b1" name="a233e6f1b32c808366d3ccd23664715b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a233e6f1b32c808366d3ccd23664715b1">&#9670;&nbsp;</a></span>CSharpCompilationArguments()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationArguments.CSharpCompilationArguments </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dotnet</em> = <code>default</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>refPath</em> = <code>default</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a0cb013ec2d36725a0d2974dca2631f0b" name="a0cb013ec2d36725a0d2974dca2631f0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cb013ec2d36725a0d2974dca2631f0b">&#9670;&nbsp;</a></span>Dotnet</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationArguments.Dotnet</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>.Net version to compile to </p>

</div>
</div>
<a id="a003d46ab6884cb70a7a54ceed980ceb8" name="a003d46ab6884cb70a7a54ceed980ceb8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a003d46ab6884cb70a7a54ceed980ceb8">&#9670;&nbsp;</a></span>RefPath</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationArguments.RefPath</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Directory that the DLLs to be used are in </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Code/CSharp/<a class="el" href="_c_sharp_compilation_arguments_8cs.html">CSharpCompilationArguments.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
